Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.admin
Class AdminAction

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.admin.AdminAction

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.esupportail.portal.utils.channels.ISubChannel

Direct Known Subclasses:
  DeleteIntranet, ListIntranets, ListMimes, ManagePopulation, NewIntranet, SuperUsers

public abstract class AdminAction
extends org.esupportail.portal.utils.channels.SubChannel

AdminAction
Classe abstraite définissant un comportement par défaut pour une action
L'accès à cette action nécessite un statut de super-utilisateur
sinon on redirige vers une page d'erreur
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`AdminAction(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`abstract java.lang.Boolean` | `action()` Méthode abstraite implémentant le comportement de l'action si l'utilisateur est un super-utilisateur
`java.lang.Boolean` | `init(org.jasig.portal.ChannelRuntimeData rd)` Méthode vérifiant si l'utilisateur courant est un super-utilisateur

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminAction

    public AdminAction(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - Channel principale

Method Detail

### init

    public java.lang.Boolean init(org.jasig.portal.ChannelRuntimeData rd)
                           throws org.jasig.portal.PortalException,
                                  org.esupportail.portal.utils.channels.FrameWorkException

  Méthode vérifiant si l'utilisateur courant est un super-utilisateur

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE si pas super-utilisateur, action() sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### action

    public abstract java.lang.Boolean action()
                                      throws org.jasig.portal.PortalException,
                                             org.esupportail.portal.utils.channels.FrameWorkException

  Méthode abstraite implémentant le comportement de l'action si l'utilisateur
  est un super-utilisateur

  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD